#include "mainwindow.h"
#include "ui_mainwindow.h"
#include <QFileDialog>
#include <QTextStream>

MainWindow::MainWindow(QWidget *parent) :
    QMainWindow(parent),
    ui(new Ui::MainWindow)
{
    ui->setupUi(this);
}

MainWindow::~MainWindow()
{
    delete ui;
}

void MainWindow::on_action_Esci_triggered()
{
    this->close();
}

void MainWindow::on_action_Apri_triggered()
{
    QString fileName = QFileDialog::getOpenFileName(this, "Seleziona un file...");

    QFile file(fileName);
    file.open(QFile::ReadOnly);
    QTextStream reader(&file);
    ui->textEditor->setPlainText(reader.readAll());
    file.close();
}

void MainWindow::on_actionSalva_con_nome_triggered()
{
    QString fileName = QFileDialog::getSaveFileName(this, "Seleziona un file...");

    QFile file(fileName);
    file.open(QFile::WriteOnly);
    QTextStream writer(&file);
    writer << ui->textEditor->toPlainText();
    file.close();
}

void MainWindow::on_textEditor_textChanged()
{

}
